------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Group_Box_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Group_Box_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Group_Boxes is

   function isCheckable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isCheckable_0_wrapper,
                     "__Qt4Ada_QGroupBox_isCheckable_0_wrapper");

   function isChecked_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isChecked_0_wrapper,
                     "__Qt4Ada_QGroupBox_isChecked_0_wrapper");

   function isFlat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isFlat_0_wrapper,
                     "__Qt4Ada_QGroupBox_isFlat_0_wrapper");

   procedure setCheckable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Checkable : Qt4.bool);
   pragma Import (C, setCheckable_0_wrapper,
                     "__Qt4Ada_QGroupBox_setCheckable_0_wrapper");

   procedure setFlat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Flat : Qt4.bool);
   pragma Import (C, setFlat_0_wrapper,
                     "__Qt4Ada_QGroupBox_setFlat_0_wrapper");

   procedure setTitle_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Title : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setTitle_0_wrapper,
                     "__Qt4Ada_QGroupBox_setTitle_0_wrapper");

   procedure title_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, title_0_wrapper,
                     "__Qt4Ada_QGroupBox_title_0_wrapper");

   procedure setChecked_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Checked : Qt4.bool);
   pragma Import (C, setChecked_0_wrapper,
                     "__Qt4Ada_QGroupBox_setChecked_0_wrapper");

   pragma Style_Checks ("N");

   ------------------
   -- Is_Checkable --
   ------------------

   function Is_Checkable
    (Self : not null access constant Q_Group_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isCheckable_0_wrapper
           (Self.QObject_View));
   end Is_Checkable;

   ----------------
   -- Is_Checked --
   ----------------

   function Is_Checked
    (Self : not null access constant Q_Group_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isChecked_0_wrapper
           (Self.QObject_View));
   end Is_Checked;

   -------------
   -- Is_Flat --
   -------------

   function Is_Flat
    (Self : not null access constant Q_Group_Box'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isFlat_0_wrapper
           (Self.QObject_View));
   end Is_Flat;

   -------------------
   -- Set_Checkable --
   -------------------

   procedure Set_Checkable
    (Self : not null access Q_Group_Box'Class;
     Checkable : Standard.Boolean)
   is
   begin
      setCheckable_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Checkable));
   end Set_Checkable;

   --------------
   -- Set_Flat --
   --------------

   procedure Set_Flat
    (Self : not null access Q_Group_Box'Class;
     Flat : Standard.Boolean)
   is
   begin
      setFlat_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Flat));
   end Set_Flat;

   ---------------
   -- Set_Title --
   ---------------

   procedure Set_Title
    (Self : not null access Q_Group_Box'Class;
     Title : Qt4.Strings.Q_String)
   is
   begin
      setTitle_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Title));
   end Set_Title;

   -----------
   -- Title --
   -----------

   function Title
    (Self : not null access constant Q_Group_Box'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      title_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Title;

   -----------------
   -- Set_Checked --
   -----------------

   procedure Set_Checked
    (Self : not null access Q_Group_Box'Class;
     Checked : Standard.Boolean)
   is
   begin
      setChecked_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Checked));
   end Set_Checked;

end Qt4.Group_Boxes;
